Bug 962529 - [Docs][Install] Add warning to installation guide that on the same machine, rhevm + SAM = not supported
[Docs][Install] Add warning to installation guide that on the same machine, r...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: 3.3.0
Assigned To: Andrew Dahms
ecs-bugs
:
Depends On:
Blocks: 902971
  Show dependency treegraph
 
Reported: 2013-05-13 15:08 EDT by Pavel Zhukov
Modified: 2015-09-22 09 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 371693 None None None Never

  None (edit)
Description Pavel Zhukov 2013-05-13 15:08:49 EDT
Description of problem:
Yum update is failed with file conflicts error if sam-rhel-x86_64-server-6 is enabled

Version-Release number of selected component (if applicable):
apache-commons-codec  x86_64 1.7-2.el6_3  sam-rhel-x86_64-server-6 
jakarta-commons-codec x86_64 1.3-11.7.el6 rhel-x86_64-server-6    

How reproducible:
100%

Steps to Reproduce:
1.Install rhevm
2.Enable SAM channel
3.yum update
  
Actual results:
Transaction Check Error:
  file /usr/share/java/commons-codec.jar conflicts between attempted installs of jakarta-commons-codec-0:1.3-11.7.el6.x86_64 and apache-commons-codec-1.7-2.el6_3.x86_64

Expected results:


Additional info:
Both packages contain files:
/usr/share/java/commons-codec.jar
/usr/share/java/jakarta-commons-codec.jar
Comment 4 Pavel Zhukov 2013-05-17 09:15:30 EDT
CU has SAM and RHEVM installed without issues. He has tried to update RHEVM. 
Btw Installation of RHEVM on SAM host (not sure about vice versa) should be failed.
Comment 7 Tim Hildred 2013-06-24 23:47:38 EDT
We should add this to the installation guide in 3.3, and try to get it backported as resources allow.
Comment 8 Zac Dover 2013-08-17 23:04:12 EDT
Enabling Subscription Asset Manager (SAM) on the same machine as RHEVM causes yum update to fail with a file conflicts error. Enabling Subscription Asset Manager (SAM) on the same machine as RHEVM is not supported.
Comment 9 Zac Dover 2013-12-16 21:21:22 EST
Added "Troubleshooting for Upgrading Red Hat Enterprise Virtualization Manager" [26681].

NVR (prospective)
-----------------
Red_Hat_Enterprise_Virtualization-Installation_Guide-3.3-en-US-3.3-28
Comment 11 Andrew Dahms 2014-01-07 19:17:06 EST
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Installation_Guide/index.html#Troubleshooting_for_Upgrading_Red_Hat_Enterprise_Virtualization_Manager

What Changed
------------------------------
The following topic contains a warning that RHEVM + SAM is not supported:

Troubleshooting for Upgrading Red Hat Enterprise Virtualization Manager
[ 26681-570553 ]

Updated revision history: [ 21134-570551 ]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Installation_Guide-3.3-en-US-3.3-29

Moving to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.